// Persistence of Vision data file created with GUM 0.92
//
// scene author: Mark Gilliver
// email: robomark@ihug.co.nz
//
// extra file required
// c:\windows\fonts\tt0408M_.ttf - Bauhaus Bold
//
// settings
// Antialiasing = on
// quality = 9
// time taken = 3hr 18min 27sec on 486DX2-66

plane {y,0

texture {

pigment {

    marble

    turbulence 1

    color_map { [0.0, 0.8 color rgb <0.9, 0.9, 0.9>

              color rgb <0.5, 0.5, 0.5>]

    [0.8, 1.0 color rgb <0.5, 0.5, 0.5>

              color rgb <0.2, 0.2, 0.2>] } }

finish {ambient 0.0 specular 1 roughness 0.0001 reflection 0.13} }

scale <30, 30, 30>}
#declare ButtonTex    = texture { pigment { color rgb <0, 0, 0.5> }
finish { ambient 0.3 diffuse 0.8 } }
#declare Red_Tex     = texture { pigment { rgb <1, 0, 0> } }
#declare Sand = texture { pigment {
color rgb< 0.996094, 0.996094, 0.5 >
}
normal {
 bumps 0.5
 scale <.01,.01,.01>
}
finish {
 ambient 0.2
}
}
#declare HourGlassGlass =
texture {
    pigment { color rgbf < 0.95, 1.0 ,0.95, 0.95> }
    finish {
        ambient 0
        diffuse 0
        reflection 0.5
        refraction 0.85
        ior 1.5
        phong 0.3
        phong_size 60
    }
}

// An excellent lead crystal glass!
#declare SolarPanelHex = texture{
pigment {color rgb< 0, 0, 0.35 > }
normal { hexagon
      normal { gradient x scale .2 },
      normal { gradient y scale .2 },
      normal { bumps scale .5 }
 }
finish {
 ambient 0.3
 diffuse 0.8
 phong 1
 phong_size 50}
 }
#declare Chrome_Texture =
texture {
    pigment { color rgb < 0.658824, 0.658824, 0.658824 > }
    finish {
        ambient 0.3
        diffuse 0.7
        reflection 0.15
        brilliance 8
        specular 0.8
        roughness 0.1
    }
}

// A series of metallic textures using the Metal texture:
#declare Glass_Finish
= finish {
    specular 1
    roughness 0.001
    ambient 0
    diffuse 0.5
    reflection 0.1
    refraction 1
    ior 1.5
}

#declare Glass =
texture {
    pigment { color rgbf<1.0, 1.0, 1.0, 0.8> }
    finish  { Glass_Finish }
}

// Probably more of a "Plexiglas" than glass
#declare Laser = texture {
pigment { color rgb < 1, 0, 0> }
finish {ambient 0.9 diffuse 0.9} }
#declare ClockFaceBack = texture { pigment { color rgb < 0, 0, 0.3> }
finish { ambient 0.0 diffuse 0.5 } }
#declare Brass_Texture  = texture { pigment{ color rgb< 0.71, 0.65, 0.26 > }
finish {
    metallic
    ambient 0.1
    diffuse 0.7
    brilliance 6
    reflection 0.25
    phong 0.75
    phong_size 80 } }
#declare TimeTexture = texture {
pigment { color rgb < 1, 1, 0>}
finish { ambient 0.5
diffuse 0.8 } }
#declare White_Marble =
pigment {
    marble
    turbulence 1
    color_map { [0.0, 0.8 color rgb <0.9, 0.9, 0.9>
              color rgb <0.5, 0.5, 0.5>]
    [0.8, 1.0 color rgb <0.5, 0.5, 0.5>
              color rgb <0.2, 0.2, 0.2>] }
}
#declare White_Marble_Map =
color_map {
    [0.0, 0.8 color rgb <0.9, 0.9, 0.9>
              color rgb <0.5, 0.5, 0.5>]
    [0.8, 1.0 color rgb <0.5, 0.5, 0.5>
              color rgb <0.2, 0.2, 0.2>]
}

// White marble with black veins.
#declare TimeText  = composite{
object {text { ttf "c:\windows\fonts\tt0408M_.ttf", "9:37", 0.1,0 }
rotate <90,0,0> }
}
#declare TimeTextP  = composite{
object {text { ttf "c:\windows\fonts\tt0408M_.ttf", "P", 0.1,0 }
rotate <90,0,0> }
}

#max_trace_level 8
#max_intersections 100

background { color rgb <0.0, 0.0, 0.0> }

// Object type: Camera
// Name: Tele
camera
{
   right     < 1, 0, 0   >
   up        < 0, 1, 0   >
   direction < 0, 0, 0.5 >
   location  < 0, 0, 0   >
   scale < 26.666, 20, 60 >
   rotate < 26.376, -41.827, -3.8415 >
   translate < 130, 152, -173 >
}

// Object type: SpotLight
// Name: BackLight
light_source
{
   < -13, 193, 93 >
   color rgb < 1, 1, 0.435294 >
   spotlight
   point_at < -8.6608, 126.92, 46.608 >
   radius 12.5044
   falloff 17.5793
   tightness 10
}

// Object type: SpotLight
// Name: FrontLight
light_source
{
   < 110, 218, -102 >
   color rgb < 1, 1, 1 >
   spotlight
   point_at < 96.775, 195.91, -92.002 >
   radius 19.9045
   falloff 35.9108
   tightness 10
}

// Object type: World
// Name: Root
object
{
   union
   {
      // Object type: Composite
      // Name: SupportComplete
      object
      {
         union
         {
            // Object type: Union
            // Name: Support
            object
            {
               merge
               {
                  // Object type: Sphere
                  // Name: NoName
                  object
                  {
                     sphere { < 0, 0, 0 >, 1 }

                     scale < 4, 4, 4 >
                     rotate < 3.6223e-06, -60, -4.9783e-06 >
                     translate < 20.785, 18, -12 >
                  }
                  // Object type: Torus
                  // Name: NoName
                  object
                  {
                     torus { 24, 4 }

                     rotate < 0, 60, 0 >
                     translate < 0, 10, 0 >
                  }
                  // Object type: Sphere
                  // Name: NoName
                  object
                  {
                     sphere { < 0, 0, 0 >, 1 }

                     scale < 4, 4, 4 >
                     rotate < 0, 60, 0 >
                     translate < -20.785, 18, -12 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 1, 90, 1 >
                     rotate < 0, 60, 0 >
                     translate < -20.785, 10, -12 >
                  }
                  // Object type: Torus
                  // Name: NoName
                  object
                  {
                     torus { 24, 4 }

                     rotate < 0, 60, 0 >
                     translate < 0, 100, 0 >
                  }
                  // Object type: Sphere
                  // Name: NoName
                  object
                  {
                     sphere { < 0, 0, 0 >, 1 }

                     scale < 4, 4, 4 >
                     rotate < 0, 60, 0 >
                     translate < -20.785, 92, -12 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 1, 90, 1 >
                     rotate < 180, -4.9783e-06, 180 >
                     translate < 4.0055e-06, 10, 24 >
                  }
                  // Object type: Sphere
                  // Name: NoName
                  object
                  {
                     sphere { < 0, 0, 0 >, 1 }

                     scale < 4, 4, 4 >
                     rotate < 180, -4.9783e-06, 180 >
                     translate < 4.0055e-06, 92, 24 >
                  }
                  // Object type: Sphere
                  // Name: NoName
                  object
                  {
                     sphere { < 0, 0, 0 >, 1 }

                     scale < 4, 4, 4 >
                     rotate < 180, -4.9783e-06, 180 >
                     translate < 4.0055e-06, 18, 24 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 1, 90, 1 >
                     rotate < 3.6223e-06, -60, -4.9783e-06 >
                     translate < 20.785, 10, -12 >
                  }
                  // Object type: Sphere
                  // Name: NoName
                  object
                  {
                     sphere { < 0, 0, 0 >, 1 }

                     scale < 4, 4, 4 >
                     rotate < 3.6223e-06, -60, -4.9783e-06 >
                     translate < 20.785, 92, -12 >
                  }
               }

               texture
               {
                  Brass_Texture
                  rotate < 0, 60, 0 >
                  translate < 0, 55, 0 >
               }
            }
            // Object type: Composite
            // Name: SpikesAndFeet
            object
            {
               union
               {
                  // Object type: Cone
                  // Name: NoName
                  object
                  {
                     cone { < 0, 0, 0 >, 1, < 0, 1, 0 >, 0 open }

                     scale < 2, 4, 2 >
                     rotate < 67.62, 60, 0 >
                     translate < -18.187, 19, -10.5 >
                  }
                  // Object type: Sphere
                  // Name: NoName
                  object
                  {
                     sphere { < 0, 0, 0 >, 1 }

                     scale < 5, 5, 5 >
                     rotate < 0, 60, 0 >
                     translate < -20.785, 5, -12 >
                  }
                  // Object type: Sphere
                  // Name: NoName
                  object
                  {
                     sphere { < 0, 0, 0 >, 1 }

                     scale < 5, 5, 5 >
                     rotate < 3.6223e-06, -60, -4.9783e-06 >
                     translate < 20.785, 5, -12 >
                  }
                  // Object type: Sphere
                  // Name: NoName
                  object
                  {
                     sphere { < 0, 0, 0 >, 1 }

                     scale < 5, 5, 5 >
                     rotate < 180, -4.9783e-06, 180 >
                     translate < 4.0055e-06, 5, 24 >
                  }
                  // Object type: Cone
                  // Name: NoName
                  object
                  {
                     cone { < 0, 0, 0 >, 1, < 0, 1, 0 >, 0 open }

                     scale < 2, 4, 2 >
                     rotate < 112.38, 60, 0 >
                     translate < -18.187, 91, -10.5 >
                  }
                  // Object type: Cone
                  // Name: NoName
                  object
                  {
                     cone { < 0, 0, 0 >, 1, < 0, 1, 0 >, 0 open }

                     scale < 2, 4, 2 >
                     rotate < -112.38, -4.9783e-06, 180 >
                     translate < 3.7432e-06, 19, 21 >
                  }
                  // Object type: Cone
                  // Name: NoName
                  object
                  {
                     cone { < 0, 0, 0 >, 1, < 0, 1, 0 >, 0 open }

                     scale < 2, 4, 2 >
                     rotate < 67.62, -60, -4.9783e-06 >
                     translate < 18.187, 19, -10.5 >
                  }
                  // Object type: Cone
                  // Name: NoName
                  object
                  {
                     cone { < 0, 0, 0 >, 1, < 0, 1, 0 >, 0 open }

                     scale < 2, 4, 2 >
                     rotate < 112.38, -60, -4.9783e-06 >
                     translate < 18.187, 91, -10.5 >
                  }
                  // Object type: Cone
                  // Name: NoName
                  object
                  {
                     cone { < 0, 0, 0 >, 1, < 0, 1, 0 >, 0 open }

                     scale < 2, 4, 2 >
                     rotate < -67.62, -4.9783e-06, 180 >
                     translate < 3.7432e-06, 91, 21 >
                  }
               }

               texture
               {
                  Chrome_Texture
                  rotate < 0, 60, 0 >
                  translate < -4.3301, 46, -2.5 >
               }
            }
         }
      }
      // Object type: Composite
      // Name: ElectronComplete
      object
      {
         union
         {
            // Object type: Composite
            // Name: RecycleMotor
            object
            {
               union
               {
                  // Object type: Intersection
                  // Name: 'and'
                  object
                  {
                     intersection
                     {
                        // Object type: Box
                        // Name: NoName
                        object
                        {
                           box { < 0, 0, 0 >, < 1, 1, 1 > }

                           scale < 12, 11, 12 >
                           rotate < 0, 60, 0 >
                           translate < 14.321, 30, 15.196 >
                        }
                        // Object type: Cylinder
                        // Name: NoName
                        object
                        {
                           cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                           scale < 5, 13, 5 >
                           rotate < 0, 60, 0 >
                           translate < 22.517, 29, 13 >
                        }
                     }
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 8, 4, 10 >
                     rotate < 0, 60, 0 >
                     translate < 16.321, 31, 11.732 >
                  }
               }

               texture
               {
                  Chrome_Texture
                  rotate < 0, 60, 0 >
                  translate < 22.517, 36, 13 >
               }
            }
            // Object type: Composite
            // Name: SolarPanel
            object
            {
               union
               {
                  // Object type: Intersection
                  // Name: SolarPanelDisc
                  object
                  {
                     intersection
                     {
                        // Object type: Box
                        // Name: NoName
                        object
                        {
                           box { < 0, 0, 0 >, < 1, 1, 1 > }

                           scale < 34, 2, 34 >
                           rotate < 7.647, -26.41, -11.677 >
                           translate < -18.828, 113.75, -1.6289 >
                        }
                        // Object type: Cylinder
                        // Name: NoName
                        object
                        {
                           cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                           scale < 16, 4, 16 >
                           rotate < 7.647, -26.41, -11.677 >
                           translate < -10.98, 108.8, 21.349 >
                        }
                     }

                     texture
                     {
                        SolarPanelHex
                        rotate < 7.647, -26.41, -11.677 >
                        translate < -11.572, 110.95, 21.142 >
                     }
                  }
                  // Object type: Sphere
                  // Name: SolarPanelPivot
                  object
                  {
                     sphere { < 0, 0, 0 >, 1 }

                     scale < 3, 3, 3 >
                     rotate < 7.647, -26.41, -11.677 >
                     translate < -12, 108, 20.785 >

                     texture
                     {
                        Chrome_Texture
                        scale < 3, 3, 3 >
                        rotate < 7.647, -26.41, -11.677 >
                        translate < -12, 108, 20.785 >
                     }
                  }
                  // Object type: Torus
                  // Name: SolarPanelEdge
                  object
                  {
                     torus { 17, 1.5 }

                     rotate < 7.647, -26.41, -11.677 >
                     translate < -11.572, 110.95, 21.142 >

                     texture
                     {
                        Brass_Texture
                        rotate < 7.647, -26.41, -11.677 >
                        translate < -11.572, 110.95, 21.142 >
                     }
                  }
               }
            }
            // Object type: Composite
            // Name: Laser
            object
            {
               union
               {
                  // Object type: Intersection
                  // Name: 'and'
                  object
                  {
                     intersection
                     {
                        // Object type: Box
                        // Name: NoName
                        object
                        {
                           box { < 0, 0, 0 >, < 1, 1, 1 > }

                           scale < 8, 8, 2 >
                           rotate < 0, 60, 0 >
                           translate < -10.66, 51, -1.5359 >
                        }
                        // Object type: Cylinder
                        // Name: NoName
                        object
                        {
                           cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                           scale < 3, 4, 3 >
                           rotate < -90, 60, 0 >
                           translate < -6.0622, 55, -3.5 >
                        }
                     }
                  }
                  // Object type: Intersection
                  // Name: 'and'
                  object
                  {
                     intersection
                     {
                        // Object type: Box
                        // Name: NoName
                        object
                        {
                           box { < 0, 0, 0 >, < 1, 1, 1 > }

                           scale < 6, 6, 7 >
                           rotate < 0, 60, 0 >
                           translate < 5.4282, 52, 6.5981 >
                        }
                        // Object type: Cylinder
                        // Name: NoName
                        object
                        {
                           cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                           scale < 2, 9, 2 >
                           rotate < 90, 60, 0 >
                           translate < 6.0622, 55, 3.5 >
                        }
                     }
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 0.5, 7, 0.5 >
                     rotate < -20.225, 60, 0 >
                     translate < 9.5263, 47, 5.5 >
                  }
                  // Object type: Torus
                  // Name: NoName
                  object
                  {
                     torus { 30, 1.5 }

                     scale < 0.375, 0.375, 0.375 >
                     rotate < 0, 60, 0 >
                     translate < 0, 47, 0 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 0.5, 6, 0.5 >
                     rotate < 20.225, 60, 0 >
                     translate < -9.5263, 47, -5.5 >
                  }
               }

               texture
               {
                  Chrome_Texture
                  rotate < 0, 60, 0 >
                  translate < 1.7321, 53, 1 >
               }
            }
            // Object type: Intersection
            // Name: LaserToMotor
            object
            {
               intersection
               {
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 2, 18, 11 >
                     rotate < 0, 60, 0 >
                     translate < 9.0263, 31, 6.366 >
                  }
                  // Object type: Torus
                  // Name: NoName
                  object
                  {
                     torus { 20.6, 0.4 }

                     rotate < 60, -2.0913e-06, 90 >
                     translate < 0, 30, 0 >
                  }
               }

               texture
               {
                  Chrome_Texture
                  rotate < 0, 60, 0 >
                  translate < 0.86603, 30, 0.5 >
               }
            }
         }
      }
      // Object type: Composite
      // Name: GlassComplete
      object
      {
         union
         {
            // Object type: Composite
            // Name: HourGlassGlass
            object
            {
               union
               {
                  // Object type: Composite
                  // Name: RecycleTubeGlass
                  object
                  {
                     union
                     {
                        // Object type: Cylinder
                        // Name: RecycleTube
                        object
                        {
                           cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                           scale < 1, 46, 1 >
                           rotate < 0, 60, 0 >
                           translate < 22.517, 28, 13 >
                        }
                        // Object type: Intersection
                        // Name: RecycleCurve
                        object
                        {
                           intersection
                           {
                              // Object type: Torus
                              // Name: NoName
                              object
                              {
                                 torus { 30, 5 }

                                 scale < 0.2, 0.2, 0.2 >
                                 rotate < 60, -2.0913e-06, 90 >
                                 translate < 17.321, 28, 10 >
                              }
                              // Object type: Box
                              // Name: NoName
                              object
                              {
                                 box { < 0, 0, 0 >, < 1, 1, 1 > }

                                 scale < 4, 8, 11 >
                                 rotate < 0, 60, 0 >
                                 translate < 13.722, 20, 10.232 >
                              }
                           }
                        }
                        // Object type: Intersection
                        // Name: RecycleCurve
                        object
                        {
                           intersection
                           {
                              // Object type: Torus
                              // Name: NoName
                              object
                              {
                                 torus { 30, 5 }

                                 scale < 0.2, 0.2, 0.2 >
                                 rotate < 60, -2.0913e-06, 90 >
                                 translate < 17.321, 74, 10 >
                              }
                              // Object type: Box
                              // Name: NoName
                              object
                              {
                                 box { < 0, 0, 0 >, < 1, 1, 1 > }

                                 scale < 4, 8, 9 >
                                 rotate < 0, 60, 0 >
                                 translate < 15.454, 74, 11.232 >
                              }
                           }
                        }
                     }
                  }
                  // Object type: Difference
                  // Name: HourGlassBody
                  object
                  {
                     difference
                     {
                        // Object type: Union
                        // Name: HourGlassOutside
                        object
                        {
                           merge
                           {
                              // Object type: Sphere
                              // Name: NoName
                              object
                              {
                                 sphere { < 0, 0, 0 >, 1 }

                                 scale < 20, 20, 20 >
                                 rotate < 0, 60, 0 >
                                 translate < 0, 80, 0 >
                              }
                              // Object type: Sphere
                              // Name: NoName
                              object
                              {
                                 sphere { < 0, 0, 0 >, 1 }

                                 scale < 20, 20, 20 >
                                 rotate < 0, 60, 0 >
                                 translate < 0, 30, 0 >
                              }
                              // Object type: Cylinder
                              // Name: NoName
                              object
                              {
                                 cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                                 scale < 4, 20, 4 >
                                 rotate < 0, 60, 0 >
                                 translate < 0, 46, 0 >
                              }
                              // Object type: Cone
                              // Name: NoName
                              object
                              {
                                 cone { < 0, 0, 0 >, 1, < 0, 1, 0 >, 0 open }

                                 scale < 12, 12, 12 >
                                 rotate < 0, 60, 0 >
                                 translate < 0, 45, 0 >
                              }
                              // Object type: Cone
                              // Name: NoName
                              object
                              {
                                 cone { < 0, 0, 0 >, 1, < 0, 1, 0 >, 0 open }

                                 scale < 12, 12, 12 >
                                 rotate < -180, 60, 0 >
                                 translate < 0, 65, 0 >
                              }
                           }
                        }
                        // Object type: Union
                        // Name: HourGlassInside
                        object
                        {
                           merge
                           {
                              // Object type: Sphere
                              // Name: NoName
                              object
                              {
                                 sphere { < 0, 0, 0 >, 1 }

                                 scale < 18.1, 18.1, 18.1 >
                                 rotate < 0, 60, 0 >
                                 translate < 0, 80, 0 >
                              }
                              // Object type: Cylinder
                              // Name: NoName
                              object
                              {
                                 cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                                 scale < 1, 16, 1 >
                                 rotate < 0, 60, 0 >
                                 translate < 0, 47, 0 >
                              }
                              // Object type: Sphere
                              // Name: NoName
                              object
                              {
                                 sphere { < 0, 0, 0 >, 1 }

                                 scale < 18.1, 18.1, 18.1 >
                                 rotate < 0, 60, 0 >
                                 translate < 0, 30, 0 >
                              }
                           }
                        }
                     }
                  }
               }

               texture
               {
                  HourGlassGlass
                  rotate < 0, 60, 0 >
                  translate < 3.4641, 55, 2 >
               }
            }
            // Object type: Composite
            // Name: SandComplete
            object
            {
               union
               {
                  // Object type: Intersection
                  // Name: SandLower
                  object
                  {
                     intersection
                     {
                        // Object type: Sphere
                        // Name: NoName
                        object
                        {
                           sphere { < 0, 0, 0 >, 1 }

                           scale < 18, 18, 18 >
                           rotate < 0, 60, 0 >
                           translate < 0, 30, 0 >
                        }
                        // Object type: Cone
                        // Name: NoName
                        object
                        {
                           cone { < 0, 0, 0 >, 1, < 0, 1, 0 >, 0 open }

                           scale < 36.667, 22, 36.667 >
                           rotate < 0, 60, 0 >
                           translate < 0, 12, 0 >
                        }
                     }
                  }
                  // Object type: Cylinder
                  // Name: SandColumn
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 0.5, 29, 0.5 >
                     rotate < 0, 60, 0 >
                     translate < 0, 33, 0 >
                  }
                  // Object type: Difference
                  // Name: SandUpper
                  object
                  {
                     difference
                     {
                        // Object type: Sphere
                        // Name: NoName
                        object
                        {
                           sphere { < 0, 0, 0 >, 1 }

                           scale < 18, 18, 18 >
                           rotate < 0, 60, 0 >
                           translate < 0, 80, 0 >
                        }
                        // Object type: Cone
                        // Name: NoName
                        object
                        {
                           cone { < 0, 0, 0 >, 1, < 0, 1, 0 >, 0 open }

                           scale < 73, 29.2, 73 >
                           rotate < -180, 60, 0 >
                           translate < -5.5914e-21, 99, -3.2893e-21 >
                        }
                     }
                  }
                  // Object type: Composite
                  // Name: RecycleSand
                  object
                  {
                     union
                     {
                        // Object type: Intersection
                        // Name: RecycleCurveLowerSand
                        object
                        {
                           intersection
                           {
                              // Object type: Torus
                              // Name: NoName
                              object
                              {
                                 torus { 30, 4 }

                                 scale < 0.2, 0.2, 0.2 >
                                 rotate < 60, -2.0913e-06, 90 >
                                 translate < 17.321, 28, 10 >
                              }
                              // Object type: Box
                              // Name: NoName
                              object
                              {
                                 box { < 0, 0, 0 >, < 1, 1, 1 > }

                                 scale < 4, 8, 11 >
                                 rotate < 0, 60, 0 >
                                 translate < 13.722, 20, 10.232 >
                              }
                           }
                        }
                        // Object type: Cylinder
                        // Name: RecycleTubeSand
                        object
                        {
                           cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                           scale < 0.75, 46, 0.75 >
                           rotate < 0, 60, 0 >
                           translate < 22.517, 28, 13 >
                        }
                        // Object type: Intersection
                        // Name: RecycleCurveUpperSand
                        object
                        {
                           intersection
                           {
                              // Object type: Torus
                              // Name: NoName
                              object
                              {
                                 torus { 30, 4 }

                                 scale < 0.2, 0.2, 0.2 >
                                 rotate < 60, -2.0913e-06, 90 >
                                 translate < 17.321, 74, 10 >
                              }
                              // Object type: Box
                              // Name: NoName
                              object
                              {
                                 box { < 0, 0, 0 >, < 1, 1, 1 > }

                                 scale < 4, 8, 16 >
                                 rotate < 0, 60, 0 >
                                 translate < 9.3923, 74, 7.7321 >
                              }
                           }
                        }
                     }
                  }
               }

               texture
               {
                  Sand
                  rotate < 0, 60, 0 >
                  translate < 0, 56, 0 >
               }
            }
         }
      }
      // Object type: Composite
      // Name: ClockFaceComplete
      object
      {
         union
         {
            // Object type: Custom object
            // Name: TimeTextP
            object
            {
               TimeTextP

               scale < 7, 10, 6.6667 >
               rotate < -45, 0, 0 >
               translate < 11.5, 7.5251, -33.975 >

               texture
               {
                  TimeTexture
                  scale < 7, 10, 6.6667 >
                  rotate < -45, 0, 0 >
                  translate < 11.5, 7.5251, -33.975 >
               }
            }
            // Object type: Composite
            // Name: ClockFace
            object
            {
               union
               {
                  // Object type: Sphere
                  // Name: NoName
                  object
                  {
                     sphere { < 0, 0, 0 >, 1 }

                     scale < 2.5, 2.5, 2.5 >
                     rotate < -45, 0, 0 >
                     translate < -18.75, 16.364, -24.429 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 2.5, 37.5, 2.5 >
                     rotate < 0, 45, -90 >
                     translate < -18.75, 3.1057, -37.687 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 37.5, 5, 1.25 >
                     rotate < -45, 0, 0 >
                     translate < -18.75, 1.3379, -35.919 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 2.5, 37.5, 2.5 >
                     rotate < 0, 45, -90 >
                     translate < -18.75, 16.364, -24.429 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 2.5, 18.75, 2.5 >
                     rotate < 45, 0, 0 >
                     translate < 18.75, 3.1057, -37.687 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 2.5, 18.75, 2.5 >
                     rotate < 45, 0, 0 >
                     translate < -18.75, 3.1057, -37.687 >
                  }
                  // Object type: Sphere
                  // Name: NoName
                  object
                  {
                     sphere { < 0, 0, 0 >, 1 }

                     scale < 2.5, 2.5, 2.5 >
                     rotate < -45, 0, 0 >
                     translate < 18.75, 16.364, -24.429 >
                  }
                  // Object type: Sphere
                  // Name: NoName
                  object
                  {
                     sphere { < 0, 0, 0 >, 1 }

                     scale < 2.5, 2.5, 2.5 >
                     rotate < -45, 0, 0 >
                     translate < 18.75, 3.1057, -37.687 >
                  }
                  // Object type: Sphere
                  // Name: NoName
                  object
                  {
                     sphere { < 0, 0, 0 >, 1 }

                     scale < 2.5, 2.5, 2.5 >
                     rotate < -45, 0, 0 >
                     translate < -18.75, 3.1057, -37.687 >
                  }
                  // Object type: Box
                  // Name: ClockFaceBack
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 37.5, 2.5, 17.5 >
                     rotate < -45, 0, 0 >
                     translate < -18.75, 2.2218, -35.036 >

                     texture
                     {
                        ClockFaceBack
                        scale < 37.5, 2.5, 17.5 >
                        rotate < -45, 0, 0 >
                        translate < -18.75, 2.2218, -35.036 >
                     }
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 2.5, 37.5, 2.5 >
                     rotate < 0, 45, -90 >
                     translate < -18.75, 3.9896, -36.803 >
                  }
               }

               texture
               {
                  Brass_Texture
                  scale < 1.25, 1.25, 1.25 >
                  rotate < -45, 0, 0 >
                  translate < 0, 9.2929, -31.5 >
               }
            }
            // Object type: Custom object
            // Name: TimeText
            object
            {
               TimeText

               scale < 10.789, 10, 12 >
               rotate < -45, 0, 0 >
               translate < -11.5, 7.5251, -33.975 >

               texture
               {
                  TimeTexture
                  scale < 10.789, 10, 12 >
                  rotate < -45, 0, 0 >
                  translate < -11.5, 7.5251, -33.975 >
               }
            }
            // Object type: Box
            // Name: Glass
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 37.5, 0.375, 17.5 >
               rotate < -45, 0, 0 >
               translate < -18.75, 4.9619, -37.776 >

               texture
               {
                  Glass
                  scale < 37.5, 0.375, 17.5 >
                  rotate < -45, 0, 0 >
                  translate < -18.75, 4.9619, -37.776 >
               }
            }
            // Object type: Intersection
            // Name: ButtonUp
            object
            {
               intersection
               {
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 2.5, 2.5, 2.5 >
                     rotate < -54.736, 30, -35.264 >
                     translate < 5, 3.5477, -39.013 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 3.75, 3.75, 3.75 >
                     rotate < -45, 0, 0 >
                     translate < 5, 2.2218, -37.687 >
                  }
               }

               texture
               {
                  ButtonTex
                  scale < 1.25, 1.25, 1.25 >
                  rotate < -45, 0, 0 >
                  translate < 7.5, 4.4315, -38.129 >
               }
            }
            // Object type: Intersection
            // Name: ButtonDown
            object
            {
               intersection
               {
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 2.5, 2.5, 2.5 >
                     rotate < -125.26, -30, 144.74 >
                     translate < 13.75, 4.8735, -37.687 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 3.75, 3.75, 3.75 >
                     rotate < -135, -3.4151e-06, 180 >
                     translate < 13.75, 3.5477, -36.361 >
                  }
               }

               texture
               {
                  ButtonTex
                  scale < 1.25, 1.25, 1.25 >
                  rotate < -135, -3.4151e-06, 180 >
                  translate < 11.25, 3.9896, -38.571 >
               }
            }
            // Object type: Intersection
            // Name: ButtonMode
            object
            {
               intersection
               {
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 1.25, 1.5, 1.25 >
                     rotate < -45, 0, 0 >
                     translate < -11.25, 4.6079, -38.836 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 3.75, 3.75, 3.75 >
                     rotate < -45, 0, 0 >
                     translate < -13.125, 1.3379, -38.571 >
                  }
               }

               texture
               {
                  ButtonTex
                  scale < 1.25, 1.25, 1.25 >
                  rotate < -45, 0, 0 >
                  translate < -11.25, 3.9896, -38.571 >
               }
            }
         }
      }
      // Object type: Composite
      // Name: group #1
      object
      {
         union
         {
            // Object type: Cylinder
            // Name: LaserBeam
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

               scale < 0.3, 16, 0.3 >
               rotate < 90, 60, 0 >
               translate < -6.928, 55, -4 >

               texture
               {
                  Laser
                  scale < 0.3, 16, 0.3 >
                  rotate < 90, 60, 0 >
                  translate < -6.928, 55, -4 >
               }
            }
         }
      }
   }
}
